| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DatabaseFields::Set Class Reference

This class provides a set of all DatabaseFields enums, without resorting to a QSet.

## Public Member Functions
void | initialize ()
bool | operator& (const Set &other)
CustomEnum | operator& (CustomEnum f) const
Set & | operator<< (const QDBusArgument &argument)
CustomEnum & | operator= (const CustomEnum &f)
const Set & | operator>> (QDBusArgument &argument) const
CustomEnum | operator^ (CustomEnum f) const
CustomEnum & | operator^= (CustomEnum f)
CustomEnum | operator| (CustomEnum f) const
CustomEnum & | operator|= (CustomEnum f)
Set & | setFields (const Set &otherSet)

## Member Function Documentation

## ◆ setFields()

Set & Digikam::DatabaseFields::Set::setFields | ( | const Set & | otherSet | ) |
| inline

Note
  overloading operator|= creates ambiguity with the database fields' operator|=, therefore we give it another name.